org.codehaus.plexus.component.repository.exception

## Class ComponentManagerImplementationNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.repository.exception.ComponentManagerImplementationNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ComponentManagerImplementationNotFoundException
    extends java.lang.Exception

Exception that is thrown when the class(es) required for a component implementation are not available.

Version:
  $Id: ComponentManagerImplementationNotFoundException.java 7089 2007-11-25 15:19:06Z jvanzyl $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComponentManagerImplementationNotFoundException(java.lang.String message)` Construct a new `ComponentManagerImplementationNotFoundException` instance.
`ComponentManagerImplementationNotFoundException(java.lang.String message, java.lang.Throwable cause)` Construct a new `ComponentManagerImplementationNotFoundException` instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentManagerImplementationNotFoundException

    public ComponentManagerImplementationNotFoundException(java.lang.String message)

Construct a new `ComponentManagerImplementationNotFoundException` instance.

Parameters:
  `message` - exception message

#### ComponentManagerImplementationNotFoundException

    public ComponentManagerImplementationNotFoundException(java.lang.String message,
                                                   java.lang.Throwable cause)

Construct a new `ComponentManagerImplementationNotFoundException` instance.

Parameters:
  `message` - exception message
  `cause` - causing exception to chain